<?php declare(strict_types=1);

namespace Drupal\group_clone\Plugin\GroupContentCloner;

use Drupal\group\Entity\GroupContentInterface;

interface GroupContentClonerInterface {

  /**
   * Clone group content.
   *
   * @param string $clone_method
   *   'references': group_content entity only, maintain references
   *   'all': group_content entity and all references.
   */
  public function clone(GroupContentInterface $group_content, string $group_clone_id, string $clone_method, array &$cloned_entity_ids): void;

}
